Support tables in PDF rendering (tracking)
Open, NormalPublic

Tokens
"The World Burns" token, awarded by Semperor."The World Burns" token, awarded by Man77."Manufacturing Defect?" token, awarded by YMS."Like" token, awarded by Scoopfinder."The World Burns" token, awarded by Thgoiter.
Assigned To
None
Authored By
Nemo_bis, Oct 8 2014

Description

18.21 < cscott> hm, i guess you might as well make a tracking bug

Support for tables, currently completely skipped. Most notable example: infoboxes.

For some issues in mwlib PDF rendering, see https://www.mediawiki.org/wiki/Thread:Talk:PDF_rendering/Tables


Version: unspecified
Severity: normal

This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

This proposal received 23 support votes, and was ranked #39 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Templates#Inserting_templates_.28tables.29_in_PDF_and_Books

This was also on the German Community Wishlist 2015: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/PDF_und_Drucken#Tabellen_in_PDFs

Details

Reference
bz71808

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

As tons of articles contain tables, PDF rendering of tables is essential.

YMS added a subscriber: YMS.EditedFeb 21 2015, 1:00 AM

Really, this is an issue in many OTRS support cases. People are missing the contents of the tables. Please don't let them wait forever until this is fixed.

SiBr4 added a subscriber: SiBr4.Feb 28 2015, 10:38 AM
Krenair added a subscriber: Krenair.Mar 2 2015, 3:15 AM

This makes big chunks of some articles useless when exported as a PDF - e.g. https://en.wikipedia.org/wiki/List_of_cognitive_biases
(reported by a reader)

Tsungam added a subscriber: Tsungam.Mar 4 2015, 8:13 AM
Nemo_bis triaged this task as Normal priority.Mar 5 2015, 7:59 AM

I *think* OCG is not currently developed, so it will stay at a lower service level than the predecessor for a while (probably years, if I have to bet).

The Parsoid team is responsible for OCG. @ssastry has committed that crashers will be treated with high priority (to at least achieve graceful recovery). Table support is not scheduled yet and likely a few months out.

The Parsoid team is responsible for OCG. @ssastry has committed that crashers will be treated with high priority (to at least achieve graceful recovery). Table support is not scheduled yet and likely a few months out.

As in, they will fix OCG failing to render lots of articles? As a high priority for the next quarter? info-en@wm.o has received a lot of complaints from readers about those, but it's seemed to me so far that the relevant person on the Parsoid team does not have time available to fix it.

Lyzzy added a subscriber: Lyzzy.Mar 10 2015, 7:54 PM
Man77 added a subscriber: Man77.Mar 14 2015, 1:10 PM
Rillke added a subscriber: Rillke.Apr 16 2015, 5:41 PM
Tbayer added a subscriber: Tbayer.Jun 23 2015, 6:45 AM
ResMar added a subscriber: ResMar.Jun 23 2015, 9:05 PM
mb added a subscriber: mb.Jun 27 2015, 12:32 PM
YMS awarded a token.Jul 14 2015, 4:08 PM
Pollopalko raised the priority of this task from Normal to Unbreak Now!.Aug 1 2015, 2:16 PM
Sjoerddebruin lowered the priority of this task from Unbreak Now! to Normal.Aug 1 2015, 2:17 PM

You can't decide that.

Cirdan added a subscriber: Cirdan.Sep 13 2015, 7:14 PM
Man77 awarded a token.Oct 3 2015, 9:45 AM
jayvdb added a subscriber: jayvdb.Dec 1 2015, 1:58 AM
Semperor added a subscriber: Semperor.
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 21 2016, 2:53 PM
DannyH updated the task description. (Show Details)Feb 6 2016, 12:04 AM
SiBr4 removed a subscriber: SiBr4.Apr 8 2016, 3:51 PM
ResMar removed a subscriber: ResMar.Apr 15 2016, 1:39 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 18 2016, 11:36 AM

WMDEs TCB-Team is going to investigate the issue of tables not rendering in pdfs. Currently we don't know yet how far we will get. Just to have a clearer idea what is currently on our todo-list, we opened a new ticket in https://phabricator.wikimedia.org/T135643
If suitable, we will later pull tasks from here to our workboard.

Lea_WMDE moved this task from Incoming to Tables in pdfs on the TCB-Team board.May 18 2016, 4:38 PM
GWicke added a subscriber: GWicke.EditedMay 18 2016, 5:41 PM

@Lea_WMDE, we have recently looked into alternative rendering strategies with support for tables and other HTML features. See T134205: Options for browser-based server-side PDF generation for a summary of options. We have a basic labs service running a browser-based render service, which you can use to try out the rendering. Examples: Berlin, San Francisco

Osnard added a subscriber: Osnard.Jun 22 2016, 8:16 AM

Notes from a conversation & prototyping work at Wikimania are available at:

https://docs.google.com/a/wikimedia.org/document/d/13nTL-MHHvMHNQBAvOli5D-e01pslqXecsFQLqWgThwc

I had reported that some portion of a wikipedia page is not coming into pdf rendering tool. The report had been merged with a project called T73808 Support tables in PDF rendering (tracking) . Thanks for it, but later-on I discovered, it was not a typical "table", but it was a "gallery" , when I saw the wikicodes in source-editor

Notes from a conversation & prototyping work at Wikimania are available at:

https://docs.google.com/a/wikimedia.org/document/d/13nTL-MHHvMHNQBAvOli5D-e01pslqXecsFQLqWgThwc

Please download and upload to Commons; this URL is not even viewable on my browser due to unspecified cookie requirements.

Qgil removed a subscriber: Qgil.Jul 29 2016, 2:51 PM

Notes from a conversation & prototyping work at Wikimania are available at:
https://docs.google.com/a/wikimedia.org/document/d/13nTL-MHHvMHNQBAvOli5D-e01pslqXecsFQLqWgThwc

Please download and upload to Commons; this URL is not even viewable on my browser due to unspecified cookie requirements.

Copied to P3864

mb removed a subscriber: mb.Jun 8 2017, 1:10 AM

As already announced in Tech News, OfflineContentGenerator (OCG) will not be used anymore after October 1st, 2017 on Wikimedia sites. OCG will be replaced by Electron. You can read more on mediawiki.org.